<template>
	<section class="flex flex-col min-h-screen">
		<div class="flex-auto flex flex-wrap bg-white">
			<MBanner class="w-full md:w-3/4 text-center md:text-left" />
			<div class="container mx-auto px-4 py-8 md:py-16">
				<OGrid :cards="cards" />
			</div>
		</div>
	</section>
</template>

<script>
import MBanner from '@/components/Molecules/MBanner.vue'
import OGrid from '@/components/Organisms/OGrid.vue'

export default {
	name: 'LandingPage', // Treated as "pages"
	layout: 'default',
	components: {
		MBanner,
		OGrid,
	},
	data: () => {
		return {
			cards: [
				{
					title: 'Card 1',
					text: 'Sed gravida libero sem, sed ornare arcu venenatis at.',
				},
				{
					title: 'Card 2',
					text: 'Etiam in arcu lectus. Nulla facilisi. Nunc viverra vehicula nunc eu tristique.',
				},
				{
					title: 'Card 3',
					text: 'Sed gravida libero sem, etiam in arcu lectus.',
				},
			],
		}
	},
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
